using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATPendingWorkItemReference")]
[Index("PendingWorkItemReferenceId", Name = "UQ_ATPendingWorkItemReference_WorkItemReferenceId", IsUnique = true)]
public partial class AtpendingWorkItemReference
{
    [Key]
    public int Id { get; set; }

    public int PendingWorkItemReferenceId { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime ExpirationTime { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime CreatedTime { get; set; }

    [ForeignKey("PendingWorkItemReferenceId")]
    [InverseProperty("AtpendingWorkItemReference")]
    public virtual AtworkItemReference PendingWorkItemReference { get; set; } = null!;
}
